Skip to main content
GET
/
polymarket
/
series
/
{identifier}
/
events
Get series events
curl --request GET \
  --url https://api.struct.to/v1/polymarket/series/{identifier}/events
[
  {
    "id": "",
    "event_slug": null,
    "title": null,
    "ticker": null,
    "description": null,
    "resolution_source": null,
    "category": null,
    "image_url": null,
    "market_count": 0,
    "created_time": null,
    "closed_time": null,
    "start_time": null,
    "end_time": null,
    "neg_risk": false,
    "neg_risk_market_id": null,
    "game_status": null,
    "show_market_images": false,
    "status": null,
    "metrics": {},
    "tags": [],
    "markets": [],
    "series": {
      "id": "",
      "slug": null,
      "ticker": null,
      "title": null,
      "description": null,
      "series_type": null,
      "recurrence": null,
      "layout": null,
      "image_url": null,
      "icon_url": null,
      "active": false,
      "closed": false,
      "archived": false,
      "featured": false,
      "restricted": false,
      "pyth_token_id": null,
      "cg_asset_name": null,
      "start_date": null,
      "event_count": 0
    }
  }
]

Path Parameters

identifier
string
required

Series slug (e.g. 'btc-weekly-close') or series ID

Query Parameters

active
boolean

Filter by active events only (default: false)

include_tags
boolean

Include tags array (default: true)

include_markets
boolean

Include markets array (default: true)

include_metrics
boolean

Include metrics (default: true)

limit
integer<int64>

Number of events to return (default: 20, max: 250)

pagination_key
string

Offset for pagination (default: 0)

Response

List of events in this series

id
string
default:""
event_slug
string | null
title
string | null
ticker
string | null
description
string | null
resolution_source
string | null
category
string | null
image_url
string | null
market_count
integer<int32>
default:0
created_time
integer<int64> | null
closed_time
integer<int64> | null
start_time
integer<int64> | null
end_time
integer<int64> | null
neg_risk
boolean
default:false
neg_risk_market_id
string | null
game_status
string | null
show_market_images
boolean
default:false
status
string | null

Event status: "open" or "closed"

metrics
object
tags
object[]
markets
object[]
series
object

A Polymarket series from the Gamma API Series are parent groupings above events (e.g., "NBA Season 2024-25")

Last modified on April 25, 2026